import { BASE_API_URL, PROJECT_ID } from '@/constants';

export interface GetGraphicsDownloadUrlProps {
  backgroundId?: number;
  modelId?: string;
  handler?: string;
  zoom?: number;
}

export const getGraphicsDownloadUrl = ({
  backgroundId,
  modelId,
  handler,
  zoom,
}: GetGraphicsDownloadUrlProps): string | undefined => {
  const isAllElementsTruthy = [backgroundId, modelId, handler, zoom].reduce(
    (a, b) => Boolean(a) && Boolean(b),
    true,
  );

  if (!isAllElementsTruthy) {
    return undefined;
  }

  return `${BASE_API_URL}/projects/${PROJECT_ID}/models/${modelId}:downloadImage?backgroundOverlayId=${backgroundId}&handlerClass=${handler}&zoomLevel=${zoom}`;
};
