import { IconButton } from '@/shared/IconButton';
import { DownloadSubmap } from './DownloadSubmap';

interface SubmapItemProps {
  modelName: string;
  onOpenClick: () => void;
}

export const SubmpamItem = ({ modelName, onOpenClick }: SubmapItemProps): JSX.Element => (
  <div className="flex flex-row flex-nowrap items-center justify-between border-b py-6">
    {modelName}
    <div className="flex flex-row flex-nowrap items-center">
      <DownloadSubmap />
      <IconButton
        icon="chevron-right"
        className="h-6 w-6 bg-white-pearl"
        classNameIcon="fill-font-500 h-6 w-6"
        data-testid={`${modelName}-open`}
        onClick={onOpenClick}
      />
    </div>
  </div>
);
