import { StoreType } from '@/redux/store';
import {
  InitialStoreState,
  getReduxWrapperWithStore,
} from '@/utils/testing/getReduxWrapperWithStore';
import { render, screen } from '@testing-library/react';
import { MapAdditionalOptions } from './MapAdditionalOptions.component';

const renderComponent = (initialStoreState: InitialStoreState = {}): { store: StoreType } => {
  const { Wrapper, store } = getReduxWrapperWithStore(initialStoreState);

  return (
    render(
      <Wrapper>
        <MapAdditionalOptions />
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe('MapAdditionalOptions - component', () => {
  it('should display background selector', () => {
    renderComponent();
    expect(screen.getByTestId('background-selector')).toBeInTheDocument();
  });
});
