import { z } from 'zod';
import { lineSchema } from './lineSchema';

export const operatorSchema = z.object({
  id: z.number(),
  line: lineSchema,
  inputs: z.array(z.object({ id: z.number() })),
  outputs: z.any().optional(),
  operatorText: z.string(),
  reactantOperator: z.boolean(),
  productOperator: z.boolean(),
  modifierOperator: z.boolean(),
});
